
<!DOCTYPE html>
<html>
<head>

	<title>Signal B</title>
	<link rel="icon" type="image/jpg" href="/favicon.ico" sizes="16x16"/>
	<meta charset="utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	
	<script>

	var apitest = "https://api.gbif.org/v1/occurrence/search?countryCode=NZ&stateProvince=Canterbury&phylumKey=54&limit=300&offset=0"

	function makecircle(responseText)
	{
		var response = JSON.parse(responseText)
		console.log(response)
		var arthropod = {};
		for (var i = 0; i < response.results.length; i++)
		{
		arthropod[response.results[i].species] = 0
		}
		for (var i = 0; i < response.results.length; i++)
		{
		arthropod[response.results[i].species] = arthropod[response.results[i].species] + 1
		}
		console.log(arthropod)
		builtString = JSON.stringify(arthropod, null, "\t");
		console.log(builtString)
		document.getElementById("myText").innerHTML = builtString;
	}

	function httpGetAsync(theUrl, callback)
	{
	    var xmlHttp = new XMLHttpRequest();
	    xmlHttp.onreadystatechange = function() {
	        if (xmlHttp.readyState == 4 && xmlHttp.status == 200)
	            callback(xmlHttp.responseText);
	    }
	    xmlHttp.open("GET", theUrl, true); // true for asynchronous
	    xmlHttp.send(null);
	}

	httpGetAsync(apitest, makecircle);

	</script>

</head>

<body>

<span id="myText"></span>

</body>
</html>
